import { Subject } from './libs';
export interface IGlobOptions {
    nodir?: boolean;
}
export declare function glob(pattern: string, options?: IGlobOptions): Promise<string[]>;
export declare function findClosestAncestor(startDir: string, fileName: string): Promise<string | undefined>;
export declare function watch(pattern: string): Subject<string>;
export declare function yaml<T>(filePath: string): Promise<T>;
